package dev.fyloz.trial.colorrecipesexplorer.dao;

import dev.fyloz.trial.colorrecipesexplorer.core.model.Material;
import dev.fyloz.trial.colorrecipesexplorer.core.model.MixQuantity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface MixQuantityDao extends JpaRepository<MixQuantity, Integer> {
    List<MixQuantity> findAllByMaterial(Material material);

    boolean existsByMaterial(Material material);
}
