package dev.fyloz.trial.colorrecipesexplorer.dao;

import dev.fyloz.trial.colorrecipesexplorer.core.model.Recipe;
import dev.fyloz.trial.colorrecipesexplorer.core.model.RecipeStep;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface StepDao extends JpaRepository<RecipeStep, Integer> {

    RecipeStep findByStepID(int stepID);

    List<RecipeStep> findAllByRecipe(Recipe recipe);

}
